# Uses of Class
com.logicaldoc.core.automation.RegexTool.RegexResult

Packages that use RegexTool.RegexResult
Package
Description
com.logicaldoc.core.automation
Automation subsystem that allows you to program your own logic inside the platform.
The automation engine can be accessed through the class `Automation`
Please note the special annotation `AutomationDictionary` that is used to automatically put in the Dictionary whatever bean you need.

## Uses of RegexTool.RegexResult in com.logicaldoc.core.automation

Methods in com.logicaldoc.core.automation that return types with arguments of type RegexTool.RegexResult
Modifier and Type
Method
Description
`List<RegexTool.RegexResult>`
RegexTool.`find(String content, String regex)`
Finds the matches into a given content using a given regular expression
`List<List<RegexTool.RegexResult>>`
RegexTool.`findAll(String content, String regex)`
Finds the matches into a given content using a given regular expression